open file with encoding (python 2/3 supported)
[rainbowstream.git] / setup.py
index 2e7a14d..f671f49 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -1,8 +1,11 @@
 from setuptools import setup, find_packages
-import os, sys
+from io import open
+import os
+import os.path
+import sys
 
 # Bumped version
-version = '0.3.6'
+version = '0.5.7'
 
 # Require
 install_requires = [
@@ -13,25 +16,24 @@ install_requires = [
     "twitter",
     "Pillow",
 ]
-# Python 3 doesn't hava pysqlite
+
+# Python 3 doesn't have pysqlite
 if sys.version[0] == "2":
     install_requires += ["pysqlite"]
 
 # Copy default config if not exists
-default = os.environ.get(
-    'HOME',
-    os.environ.get(
-        'USERPROFILE',
-        '')) + os.sep + '.rainbow_config.json'
+default = os.path.expanduser("~") + os.sep + '.rainbow_config.json'
 if not os.path.isfile(default):
     cmd = 'cp rainbowstream/colorset/config ' + default
     os.system(cmd)
+    cmd = 'chmod 777 ' + default
+    os.system(cmd)
 
 # Setup
 setup(name='rainbowstream',
       version=version,
       description="A smart and nice Twitter client on terminal.",
-      long_description=open("./README.rst", "r").read(),
+      long_description=open("./README.rst", "r", encoding='utf-8').read(),
       classifiers=[
           "Development Status :: 5 - Production/Stable",
           "Environment :: Console",
@@ -39,6 +41,8 @@ setup(name='rainbowstream',
           "Natural Language :: English",
           "Operating System :: OS Independent",
           "Programming Language :: Python :: 2.7",
+          "Programming Language :: Python :: 3.2",
+          "Programming Language :: Python :: 3.3",
           "Programming Language :: Python :: 3.4",
           "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
           "Topic :: Utilities",